# OpenTok Linux SDK release notes

## New features and changes

### Version 2.19.0 -- February 2021

* This version of the SDK uses WebRTC 84, which includes improvements in performance and stability.

* This version adds support for RTC audio and video statistics for publishers and subscribers.
  See the docs for the  `otc_publisher_get_rtc_stats_report()` and `otc_subscriber_get_rtc_stats_report()`
  functions.

* This version fixes an issue where the audio bitrate value set for publishers was handled incorrectly internally.

* The [automatic reconnection feature](https://tokbox.com/developer/guides/connect-session/linux/#automatic_reconnection)
  is supported from this version onward.

### Version 2.18.1 -- October 2020

This version fixes the following issues:

* The `on_error` callback function in the `otc_publisher_callbacks` struct
  was not being triggered in all scenarios where publishing failed.

* The SDK was not proxying all communications correctly when the IP Proxy feature was being used.

### Version 2.18.0 -- August 2020

This is the first public release of OpenTok Linux SDK.

## Known issues

The following are known issues:

* If a system proxy is configured, the SDK will not use it.

* The H.264 codec is not supported. See the [video codecs](https://tokbox.com/developer/guides/codecs/)
  developer guide.
